Summary: A graphical front end to the diff command
Name: xxdiff
Version: 2.9.2
Release: 1
Group: Development/Tools
Copyright: GNU GPL
URL: http://xxdiff.sourceforge.net
Packager: Hao Li <hli@haoli.org>
Source: http://prdownloads.sourceforge.net/xxdiff/xxdiff-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Requires: qt >= 3.0
BuildRequires: qt-devel >= 3.0 tmake

%description
xxdiff is a graphical browser for viewing the differences between two
files and can be used to produce a merged version.  The text of the
two or three files are presented side by side with their differences
highlighted for easy identification.


%prep
%setup -q


%build
if [ -z "$QTDIR" ]; then 
	. /etc/profile.d/qt.sh
fi

cd src
tmake xxdiff.pro > Makefile
make
./xxdiff --help-html > xxdiff-doc.html


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1
install -m755 -s src/xxdiff ${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -m644 src/xxdiff.1 ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/xxdiff.1


%files
%defattr(-,root,root)
%doc README CHANGES src/xxdiff-doc.html
/usr/X11R6/bin/xxdiff
/usr/X11R6/man/man1/xxdiff.1*


%clean
rm -rf ${RPM_BUILD_ROOT}

